implicit real*8(a-h,o-z)
dimension n(91553),tyz(91553)
h=200.d0 !桁高
span=2.d0 !スパン
nx=10
!ny=32
ny=40
hn=h/ny !1要素当たりの高さ
nspa=200 !張り出し部を除いたスパン間の要素数
sn=span/nspa
!nhari=10 !片端の張り出し部の要素数
nhari=1 !片端の張り出し部の要素数
nz=nspa+nhari*2
nset=(nx+1)*(ny+1)*(nz+1) !全節点数
!n14:1/4点の鋼板側上縁の節点番号-1
!n14=(nx+1)*(ny+1)*(nhari+nspa/4)
!n18:1/8点の鋼板側上縁の節点番号-1
!n18=(nx+1)*(ny+1)*(nhari+nspa/8)
!nmitai=n18 !見たい断面の対称面上縁の節点番号-1
nsoku1=(nx+1)*(ny/2+1) !側面の中立軸位置の左端の節点番号
nsoku2=(nx+1)*(ny+1)+(nx+1)*(ny/2+1) !側面の中立軸位置の左端の節点番号
!
do i=1,nset
read*, n(i),tyz(i)
end do
! 対称面側の桁高方向の軸応力分布を出力
open(7,file='taisyou.gnu')
!hni=0
sni=0
do i=nsoku2-nx,nset-nsoku2+1,(nx+1)*(ny+1)
      !write(7,*) ezz(i),n(i) !節点番号を出力する場合
      !write(7,*) n(i),tyz(i)*1.d6
      write(7,*) sni,tyz(i)*1.d6
      sni=sni+sn
      !hni=hni+hn
end do
close(7)
! 側面側の桁高方向の軸応力分布を出力
open(7,file='sokumen.gnu')
!hni=0
sni=0
do i=nsoku2,nset-nsoku2+nx+1,(nx+1)*(ny+1)
      !write(7,*) n(i),tyz(i)*1.d6 !節点番号を出力する場合
      write(7,*) sni,tyz(i)*1.d6 !節点番号を出力する場合
      !write(7,*) ezz(i)*1.d6,-h/2+hni
      !hni=hni+hn
      sni=sni+sn
end do
close(7)
end
